﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FAuth.DataBase.Tables
{
    /// <summary>
    /// 应用信息
    /// </summary>
    [Table("Apps")]
    public class Apps
    {
        /// <summary>
        /// 应用编号
        /// </summary>
        [Key]
        public int Id { get; set; }
        /// <summary>
        /// 应用名称
        /// </summary>
        [MaxLength(50), Required]
        public string Name { get; set; }
        /// <summary>
        /// 应用说明
        /// </summary>
        [MaxLength(200)]
        public string Description { get; set; }
    }
}
