﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FAuth.DataBase.Tables
{
    /// <summary>
    /// 角色组
    /// </summary>
    [Table("RoleGroup")]
    public class RoleGroup
    {
        /// <summary>
        /// 角色组编号
        /// </summary>
        [Key]
        public int Id { get; set; }
        /// <summary>
        /// 角色组名称
        /// </summary>
        [MaxLength(50),Required]
        public string Name { get; set; }
        /// <summary>
        /// 角色组说明
        /// </summary>
        [MaxLength(200)]
        public string Description { get; set; }
    }
}
