﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FAuth.DataBase.Tables
{
    /// <summary>
    /// 角色定义
    /// </summary>
    [Table("Roles")]
    public class Roles
    {
        /// <summary>
        /// 角色编号
        /// </summary>
        [Key]
        public int Id { get; set; }
        /// <summary>
        /// 角色名称
        /// </summary>
        [MaxLength(50), Required]
        public string Name { get; set; }
        /// <summary>
        /// 角色说明
        /// </summary>
        [MaxLength(50)]
        public string Description { get; set; }
    }
}
