﻿namespace FAuth.Extensions.Decryptor
{
    /// <summary>
    /// 用户票据加密提供器
    /// </summary>
    public interface IUserTicketDryptor
    {
        /// <summary>
        /// 通过票据获取用户信息
        /// </summary>
        /// <param name="content">用户票据</param>
        /// <returns>用户信息</returns>
        public UserTicketModel Decrypt(string content);

        /// <summary>
        /// 通过用户信息生成用户票据
        /// </summary>
        /// <param name="user">用户信息</param>
        /// <returns>用户票据</returns>
        public string Encrypt(UserTicketModel user);
    }
}
