﻿using System;

namespace FAuth.Extensions.Decryptor
{
    /// <summary>
    /// 用户票据中的用户信息
    /// </summary>
    public class UserTicketModel
    {
        /// <summary>
        /// 用户编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 登录用户名称
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 登录时间
        /// </summary>
        public DateTimeOffset LoginDatetime { get; set; }
    }
}
